%define name iptoip
%define version 0.3.0
%define release 0.3mdk

%define cvsver 20020115

Name: %name
Summary: Maintains a coherent ipvsadm table 
Version: %version
Release: %release
Source: %name-%cvsver.tar.bz2
Group: Networking/Other
BuildRoot: %_tmppath/%name-buildroot
License: GPL
Url: http://iptoip.sourceforge.net
Requires: perl perl-XML-Simple >= 1.05
Requires: perl-XML-Parser , ipvsadm
Prereq: rpm-helper
Buildarch: noarch


%description
iptoip is a program to maintain an ipvsadm table coherent.
It is specially useful when using an intermittent internet
connection or when your ISP breaks conections to reaffect IP 
addresses (like in France). Use the ipvsadm tool to build
and update a forwarding table. 


%prep
rm -rf $RPM_BUILD_ROOT 

%setup -q -n %name

%build

%install

mkdir -p $RPM_BUILD_ROOT%_sbindir/
mkdir -p $RPM_BUILD_ROOT%_initrddir/
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/
mkdir -p $RPM_BUILD_ROOT%_mandir/{man5,man8}

install -m 755 iptoip $RPM_BUILD_ROOT%_sbindir/
install -m 755 iptoip.init $RPM_BUILD_ROOT%_initrddir/iptoip
install -m 644 iptoip.xml $RPM_BUILD_ROOT%_sysconfdir/
install -m 644 iptoip.8 $RPM_BUILD_ROOT%_mandir/man8/
install -m 644 iptoip.xml.5 $RPM_BUILD_ROOT%_mandir/man5/


%clean
rm -rf $RPM_BUILD_ROOT 

%post
%_post_service iptoip


%preun
%_preun_service iptoip


%files
%defattr(-,root,root,0755)
%doc README CHANGELOG AUTHORS COPYING TODO
%config(noreplace) %_initrddir/*
%_sbindir/*
%_mandir/man5/*
%_mandir/man8/*
%config(noreplace) %_sysconfdir/iptoip.xml

%changelog
* Mon Dec 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-0.3mdk
- noarch

* Tue Jan 15 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-0.2mdk
- cvs 20020115 ( fix & enhance syslog output )

* Wed Dec 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-0.1mdk
- 0.3.0

* Sun Nov 11 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.2.0-1mdk
- upgraded to stable 0.2.0

* Wed Nov 07 2001 Philippe Libat <philippe@mandrakesoft.com> 0.1.7-2mdk
- add perl-XML-Parser,ipvsadm require

* Sun Sep 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.7-1mdk
- 0.1.7

* Wed Jul 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.6-1mdk
- updated to 0.1.6

* Mon Apr 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.4-1mdk
- updated to 0.1.4

* Tue Apr 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.3-1mdk
- updated to 0.1.3

* Wed Apr 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.2-1mdk
- updated to 0.1.2
- added initscript from Philippe Libat at Mandrakesoft.

* Wed Mar 07 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.1-1mdk
- new in contribs

